> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/metadata-for-integration-config/integration-metadata/aws-rds.md).

# Amazon RDS

Amazon Relational Database Service (Amazon RDS) is a collection of managed services that makes it simple to set up, operate, and scale databases in the cloud.

## Example Usage

***

{% tabs %}
{% tab title="Terraform" %}
{% code title="aws-rds-integration.tf" %}

```tf
resource "apono_integration" "aws-rds-integration" {
  name                     = "Amazon RDS"
  type                     = "aws-rds"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["aws-rds-instance"]
  metadata = {
    cross_account_role_arn = "<Cross Account Role ARN>"
    region = "<Region>"
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Terraform V2" %}
{% code title="aws-rds-integration.tf" %}

```tf
resource "apono_resource_integration" "aws-rds-integration" {
  name                     = "Amazon RDS"
  type                     = "aws-rds"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["aws-rds-instance"]
  integration_config = {
    cross_account_role_arn = "<Cross Account Role ARN>"
    region = "<Region>"
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Public API" %}
{% code title="aws-rds-integration.json" %}

```json
{
    "aws-rds-integration": {
        "name": "Amazon RDS",
        "type": "aws-rds",
        "connector_id": "apono-connector-id",
        "connected_resource_types": [
            "aws-rds-instance"
        ],
        "integration_config": {
            "cross_account_role_arn": "<Cross Account Role ARN>",
            "region": "<Region>",
        }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Schema

***

* `type` aws-rds
* `connected_resource_types` List of resource types to sync.

<details>

<summary>Available resource types you can use</summary>

* aws-rds-instance

</details>

### Integration Config

***

* `cross_account_role_arn` (Optional | String) Cross Account Role ARN
* `region` (Required | String) Region
  * Possible values: us-east-1, us-east-2, us-west-1, us-west-2, eu-central-1, eu-central-2, eu-west-1, eu-west-2, eu-south-1, eu-south-2, eu-west-3, eu-north-1, af-south-1, ap-east-1, ap-southeast-3, ap-southeast-4, ap-southeast-5, ap-southeast-7, ap-south-1, ap-south-2, ap-northeast-3, ap-northeast-2, ap-southeast-1, ap-southeast-2, ap-northeast-1, ca-central-1, ca-west-1, me-south-1, me-central-1, sa-east-1, il-central-1, mx-central-1


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apono.io/metadata-for-integration-config/integration-metadata/aws-rds.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
